Dismiss Notice
60,000 passwords have been reset on July 8, 2019. If you cannot login, read this.

Archian's Unfinished Projects

Discussion in 'Map Development' started by Archian, Aug 14, 2020.

  1. Clanzion

    Clanzion

    Joined:
    Jul 4, 2016
    Messages:
    454
    Resources:
    0
    Resources:
    0
    Turns out that one that trigger error was a weu function, after running through ghostwolf's weu fixer, it was openable in the JNGP Lua by trigger happy.
     

    Attached Files:

  2. deepstrasz

    deepstrasz

    Map Reviewer

    Joined:
    Jun 4, 2009
    Messages:
    15,419
    Resources:
    1
    Maps:
    1
    Resources:
    1
    Great. Thanks!
     
  3. Archian

    Archian

    Site Director

    Joined:
    Jan 1, 2006
    Messages:
    2,993
    Resources:
    12
    Skins:
    1
    Tutorials:
    11
    Resources:
    12
    Excellent! Thank you :)
     
  4. Xelos

    Xelos

    Joined:
    Dec 24, 2018
    Messages:
    263
    Resources:
    1
    Maps:
    1
    Resources:
    1
    thanks you for sharing stuff from your old project with community. i see then you post pictures from black book, i remeber a long time ago that project, thought it was Whitehorn project, Nevermind , can you please post resource from that old project too ?
     
  5. OutsiderXE

    OutsiderXE

    Joined:
    Sep 28, 2004
    Messages:
    1,107
    Resources:
    3
    Maps:
    3
    Resources:
    3
    Tried to open the Eredar maps but "Level info data missing or invalid". Using 1.31 PTR.
     
  6. Archian

    Archian

    Site Director

    Joined:
    Jan 1, 2006
    Messages:
    2,993
    Resources:
    12
    Skins:
    1
    Tutorials:
    11
    Resources:
    12
    Warcraft 3 has a lot of issues these days that still havn't been fixed by Blizzard. I'm sure that error is because of Blizzard.
     
  7. deepstrasz

    deepstrasz

    Map Reviewer

    Joined:
    Jun 4, 2009
    Messages:
    15,419
    Resources:
    1
    Maps:
    1
    Resources:
    1
    @Clanzion can/will you do the same for the other maps please? It seems most if not all of them have the same loading issue.

    EDIT: the maps can be opened in the 1.32+ editor.
    @Archian @OutsiderXE
     
    Last edited: Oct 15, 2020
  8. tulee

    tulee

    Joined:
    Jul 26, 2008
    Messages:
    1,149
    Resources:
    8
    Maps:
    8
    Resources:
    8
    Lmao. A testament to how buggy 1.31 is if it cannot even open something.
     
  9. deepstrasz

    deepstrasz

    Map Reviewer

    Joined:
    Jun 4, 2009
    Messages:
    15,419
    Resources:
    1
    Maps:
    1
    Resources:
    1
    I don't think it's just about 1.31. Haven't tried it on other patches. The issue might be that the maps were edited with some other off-label editor.
    Regardless, you cannot expect an update that brings something while taking something and then to go with it.
     
  10. Whitewolf8

    Whitewolf8

    Joined:
    Aug 31, 2011
    Messages:
    289
    Resources:
    6
    Models:
    1
    Maps:
    4
    Tutorials:
    1
    Resources:
    6
    And well... Apparently Reforged and 1.32 added/redid/removed a bunch of stuff. It wouldn't exactly seem surprising that trying to open it with any version lower woudn't work.
     
  11. tulee

    tulee

    Joined:
    Jul 26, 2008
    Messages:
    1,149
    Resources:
    8
    Maps:
    8
    Resources:
    8
    I was more critiquing 1.31 itself, rather than all patches lower than 1.32.
     
  12. OutsiderXE

    OutsiderXE

    Joined:
    Sep 28, 2004
    Messages:
    1,107
    Resources:
    3
    Maps:
    3
    Resources:
    3
    So uhm... someone needs to export that stuff to be available for all versions :D
     
  13. deepstrasz

    deepstrasz

    Map Reviewer

    Joined:
    Jun 4, 2009
    Messages:
    15,419
    Resources:
    1
    Maps:
    1
    Resources:
    1
    As I wrote, I didn't try it with other versions, lower than 1.31.1... so until we know that those can open the maps, then you can't assume it's a 1.31 bug...




    EDIT:
    @OutsiderXE I used Map Adapter and voila.
     

    Attached Files:

    Last edited: Oct 16, 2020
  14. hemmedo

    hemmedo

    Joined:
    Jun 13, 2008
    Messages:
    333
    Resources:
    0
    Resources:
    0
    @deepstrasz Can you do the same for 1.30 please? I really don't wanna go beyond that to be honest:)
     
  15. deepstrasz

    deepstrasz

    Map Reviewer

    Joined:
    Jun 4, 2009
    Messages:
    15,419
    Resources:
    1
    Maps:
    1
    Resources:
    1
    Well, I get an error trying to adapt to 1.29. There's no 1.30 in that program:
    • Found incompatible identifier: 'CAMERA_FIELD_NEARZ' (6x)
    • Found incompatible identifier: 'CAMERA_FIELD_LOCAL_PITCH' (6x)
    • Found incompatible identifier: 'CAMERA_FIELD_LOCAL_YAW' (6x)
    • Found incompatible identifier: 'CAMERA_FIELD_LOCAL_ROLL' (6x)
    If @Drake53 has any idea how to bypass that.
     
  16. Drake53

    Drake53

    Joined:
    Jan 1, 2018
    Messages:
    447
    Resources:
    0
    Resources:
    0
    NearZ is compatible with 1.30 so you can ignore that warning. The other three can be deleted.
     
  17. deepstrasz

    deepstrasz

    Map Reviewer

    Joined:
    Jun 4, 2009
    Messages:
    15,419
    Resources:
    1
    Maps:
    1
    Resources:
    1
    Deleted everything and I get this in the editor:
    anima.png
    They work ingame though.
     

    Attached Files:

  18. hemmedo

    hemmedo

    Joined:
    Jun 13, 2008
    Messages:
    333
    Resources:
    0
    Resources:
    0
    1.30 is literally the only decent/stable patch pre-reforged and it wasn't included in that thing:/

    Though I only need the terrain and the object data. Maybe those deprotection programs can do the trick?
     
  19. OutsiderXE

    OutsiderXE

    Joined:
    Sep 28, 2004
    Messages:
    1,107
    Resources:
    3
    Maps:
    3
    Resources:
    3
    If you mean the eredar stuff, check out the post above yours^^
     
  20. hemmedo

    hemmedo

    Joined:
    Jun 13, 2008
    Messages:
    333
    Resources:
    0
    Resources:
    0
    Yeah but it still doesn't open in WE.